# DeleteMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests / DeleteMessage

# DeleteMessage

(common) `data class DeleteMessage : SimpleRequest<Boolean>, MessageAction` (source)

### Constructors

(common)

#### <init>

`DeleteMessage(chatId: ChatIdentifier, messageId: MessageIdentifier)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`